#include "TMDlib.h"
#include <fstream>
#include <iomanip>
using namespace std;
using namespace TMDlib;

TMD::TMD(void) {
   cout << "TMD object is being created "  << endl;    

    }

int main() {
 
  string name ;
  //name = "GBWlight";
  //name ="ccfm-JH-2013-set1";
  name ="PB-NLO-HERAI+II-2018-set2";
  name ="KS-2013-linear";
  name ="KS-2013-linear";
  name ="KS-2013-non-linear";
  name ="PB-nCTEQ15FullNuc_208_82-set2";
  name ="EKMP";

  double x, xbar, kt, mu;
  double mz = 91.18;
  double uval, dval, sea, charm, bottom, gluon;
  
  x = 0.01 ;
  xbar = 0 ; 
  kt = 10. ;
  mu = 100 ;
  
//  x=1.E-6 ;
//  kt=14.;
//  mu=6.;
  TMD test;
  
  int irep=0;
  test.TMDinit(name,irep);
//  int iset = 102134 ;
//  test.TMDinit(iset);
  
  cout << "TMDSet Description: " << test.TMDgetDesc() << endl;
  cout << "Order alphas = " << test.TMDgetOrderAlphaS() << endl;
  // cout << "qcdlam4      = " << test.TMDgetLam4() << endl;
  cout << "order PDF    = " << test.TMDgetOrderPDF() << endl;

  cout << "xmin         = " << test.TMDgetXmin() << endl;
  cout << "xmax         = " << test.TMDgetXmax() << endl;
  cout << "q2min        = " << test.TMDgetQ2min() << endl;
  cout << "q2max        = " << test.TMDgetQ2max() << endl;
  cout << "num flav     = " << test.TMDgetNf() << endl;
  cout << "number       = " << test.TMDnumberPDF(name) << endl;

  cout << endl;
  
   
  vector<double> arr(13);
  double* xpq = &arr[6];
  
  test.TMDpdf(x,xbar,kt,mu, arr);
  cout << " TMDlib: xu(x,mu) = " << xpq[2] << " xd(x,mu) = " << xpq[1] << " xg(x,mu) =  " << xpq[0] << endl;
  
}
